Subject: [Q]TCGMSG on SGI

From: Xiaofeng Duan <[email-masked]>
Date: Tue, 6 May 1997 11:52:46 -0400 (EDT)

Hi, everyone!
I am running paralleled GAMESS on SGI machines. I found there is a 
problem that the TCGMSG which is used to parallel GAMESS only allows me to 
use maximum 8 processors although the machines has 16 and 32 processors 
respectively. Following is the error message I got when I tried running 
TCGMSG for testing program "hello" with 16 processors on the machine 
which is Origin 2000 having 32 processors:
-----------------------------------------
hpc03-1:/fs31/duanx/tcgmsg/ipcv4.0/ parallel hello
 Creating: host=hpc03-1, user=duanx,
           file=/fs31/duanx/tcgmsg/ipcv4.0/hello.x, port=2376
 0: SemSetCreate: n_sem has invalid value 48 (0x30).
system error message: Permission denied
16: interrupt
-----------------------------------------
I don't know what caused the above problem. Could somebody give me a help 
with it?
Thanks!
****************************************
Xiaofeng Duan, Ph.D
WL/MLBP, Bldg. 654
2941 P St. Ste. 1
Wright-Patterson AFB, OH 45433
(513)255-9164
[email-masked]
****************************************